## ganeti 2.0.5

=== debian/changelog ===
ganeti (2.0.5-1ubuntu0.1) lucid-proposed; urgency=low

  * Add upstream patch fixing Python 2.5.6 compatibility (LP: #582491)

 -- Iustin <iustin@debian.org>  Wed, 19 May 2010 23:11:12 +0200

ganeti (2.0.5-1) unstable; urgency=high

  * New upstream version, fixing CVE-2009-4261 (thus the high urgency)
  * Also fixes a small bug related to gnt-node list during instance removal
  * Include RAPI documentation

 -- Iustin Pop <iusty@k1024.org>  Thu, 17 Dec 2009 22:53:08 +0100

ganeti (2.0.4-1) unstable; urgency=low

  * New Upstream Version
  * The new version fixes quite a number of upstream bugs and adds a number of
    new features, see the upstream NEWS file
  * Update to standards version 3.8.3 (no changes needed)
  * Switch to source format 3.0 (quilt) and drop quilt rules/depencency
  * Add doc-base files for the main html docs we ship
  * Add patch to call hostname with "--fqdn" to workaround recent changes which
    always strip the domain name

 -- Iustin Pop <iusty@k1024.org>  Fri, 04 Dec 2009 20:23:45 +0100

ganeti (2.0.3-1) unstable; urgency=low

  * New Upstream Version
  * The new upstream fixes "Ganeti doesn't detect export failures"
    (Closes: #538818)
  * Note that the 2.0.2 has disk changes which can create issues in some
    corner-cases, see http://code.google.com/p/ganeti/wiki/UpgradeNotes for
    details

 -- Iustin Pop <iusty@k1024.org>  Sat, 08 Aug 2009 20:50:59 +0200

ganeti (2.0.1-3) unstable; urgency=low

  * Fix the startup-with-1.2-config (Closes: #539303)
  * Patch the initscript to fix insserv dependencies

 -- Iustin Pop <iusty@k1024.org>  Tue, 04 Aug 2009 21:28:35 +0200

ganeti (2.0.1-2) unstable; urgency=low

  * Allow kvm instead of xen-linux-system-*
  * Use xen-linux-system-2.6.26-2-* rather than xen-linux-system-2.6.26-1-*.
  * Substitute ssh with openssh-client, openssh-server
  * Add git-buildpackage configuration (as debian/gbp.conf)

 -- Guido Trotter <ultrotter@debian.org>  Sun, 26 Jul 2009 12:08:36 +0200

ganeti (2.0.1-1) unstable; urgency=low

  [ Iustin Pop ]
  * Packaged ganeti 2.0 and switched the binary package name to ganeti2
  * Renamed package to ganeti2, since migration from ganeti 1.2.x to 2.0.x
    is not automatic (and needs cluster shutdown)
  * Remove Leonardo (l@lmello.eu.org) from the Uploaders list, since he
    wasn't active in a long while
  * Fix "ganeti (HVM mode) default expected kernel:
    /usr/lib/xen/boot/hvmloader in lenny not exist" (Closes: #528618);
    note that this is a fix that works for unstable, not Lenny

  [ Guido Trotter ]
  * Remove build-dependency on docbook-utils (docs are built upstream)

 -- Guido Trotter <ultrotter@debian.org>  Sat, 25 Jul 2009 13:36:06 +0200

ganeti (1.2.7-1) unstable; urgency=low

  * New Upstream Version
  * Standard version 3.8.1 (no changes needed)
  * Fix a couple of non-critical lintian warnings (directory in /var/run,
    debian/copyright has old format, etc.)

 -- Iustin Pop <iusty@k1024.org>  Thu, 07 May 2009 07:58:32 +0200

ganeti (1.2.6-3) unstable; urgency=low

  * Cherry-pick commit 2461 from upstream, fixing (yet again, hopefully
    for the last time) compatibility with twisted 8.1 (Closes: #510965)
  * Fix the watch regexp to ignore non-stable releases

 -- Iustin Pop <iusty@k1024.org>  Tue, 10 Feb 2009 20:02:46 +0100

ganeti (1.2.6-2) unstable; urgency=low

  * Update recommends for the current packages in unstable and
    testing (Closes: #474452)

 -- Iustin Pop <iusty@k1024.org>  Wed, 10 Dec 2008 09:47:27 +0100

ganeti (1.2.6-1) unstable; urgency=low

  * New upstream release (bugfixes and a couple of small new features)
  * Include the batcher example file

 -- Iustin Pop <iusty@k1024.org>  Wed, 08 Oct 2008 08:52:59 +0200

ganeti (1.2.5-1) unstable; urgency=low

  * New upstream release, fixing compatibility with the current versions of
    twisted (Closes: #487752)
  * Fix watch file (was picking up other archives too)
  * Fix some lintian warnings about debian/copyright
  * Remove dependency on fping (new upstream removes all uses of fping)
  * Add DM-Upload-Allowed: yes to the control file
  * Add a recommend on ganeti-instance-deboostrap, now that it is packaged

 -- Iustin Pop <iusty@k1024.org>  Wed, 23 Jul 2008 09:24:07 +0200

ganeti (1.2.4-2) unstable; urgency=low

  * Check new policy and bump up standards version
  * Depend on python-openssl rather than python-pyopenssl

 -- Guido Trotter <ultrotter@debian.org>  Sun, 15 Jun 2008 09:05:37 +0100

ganeti (1.2.4-1) unstable; urgency=low

  * New upstream release
  * Change the default iallocator search path to support 'local' allocators
  * Ship the 'dumb' instance allocator
  * Call dh_pysupport in 'install' rather than 'binary-install'
  * Remove 'cronjob-check-executable.patch' included upstream

 -- Guido Trotter <ultrotter@debian.org>  Sat, 14 Jun 2008 15:57:27 +0100

ganeti (1.2.3-2) unstable; urgency=low

  * Fix 'crontab should check for executable presence' (Closes: #466611)

 -- Iustin Pop <iusty@k1024.org>  Fri, 22 Feb 2008 08:25:44 +0100

ganeti (1.2.3-1) unstable; urgency=low

  * New upstream version

 -- Guido Trotter <ultrotter@debian.org>  Wed, 20 Feb 2008 12:56:08 +0000

ganeti (1.2.2-2) unstable; urgency=medium

  * Move mdadm from depends to recommends: it's only useful with drbd0.7
  * Actually install example cron job as /etc/cron.d/ganeti
    The example cron job was copied to the wrong place and thus ignored.
  * Urgency medium because it was important for the cronjob to be there.

 -- Guido Trotter <ultrotter@debian.org>  Wed, 13 Feb 2008 18:06:57 +0000

ganeti (1.2.2-1) unstable; urgency=low

  [ Iustin Pop ]
  * Switch python modules from hand-crafted to pysupport
  * Add the Vcs-Svn and Vcs-Browser control fields
  * Remove the no-start of the daemon(s) on upgrades since we need to restart
    if the source code has changed; the daemons will not do anything if the
    node is not joined to a cluster
  * Extend the OS search path with /usr/share/ganeti/os in order to accommodate

