=== debian/control ===
Source: ganeti
Section: admin
Priority: extra
Maintainer: Debian Ganeti Team <pkg-ganeti-devel@lists.alioth.debian.org>
Uploaders: Guido Trotter <ultrotter@debian.org>, Iustin Pop <iusty@k1024.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: python-simplejson, python-pyparsing, python-openssl, python-support (>= 0.6)
Standards-Version: 3.8.3
Homepage: http://code.google.com/p/ganeti/
Vcs-Browser: http://git.debian.org/?p=pkg-ganeti/ganeti.git
Vcs-Git: git://git.debian.org/pkg-ganeti/ganeti.git
DM-Upload-Allowed: yes

Package: ganeti2
Architecture: all
Conflicts: ganeti
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, lvm2, openssh-client, openssh-server, bridge-utils, iproute, iputils-arping, openssl, python-simplejson, python-pyparsing, python-openssl, socat
Recommends: drbd8-utils (>= 8.0.7), kvm | xen-linux-system-2.6.26-2-xen-amd64 | xen-linux-system-2.6.26-2-xen-686, ganeti-instance-debootstrap
Suggests: drbd8-module-source (>= 8.0.7)
Provides: ${python:Provides}
Description: Cluster-based virtualization management software
 Ganeti is a virtual server cluster management software tool built on top
 of the Xen virtual machine monitor and other Open Source software. After
 setting it up it will provide you with an automated environment to
 manage highly available virtual machine instances.
 .
 It has been designed to facilitate cluster management of virtual servers
 and to provide fast and simple recovery after physical failures using
 commodity hardware.
 .
 It will take care of operations such as redundant disk creation and
 management, operating system installation  (in cooperation with OS-specific
 install scripts), startup, shutdown, failover of instances between physical
 systems.
