## ganeti 2.1.2.1

=== debian/changelog ===
ganeti (2.1.2.1-2) unstable; urgency=low

  * Ship the defaults file provided by upstream (Closes: #579452)
  * Fix debian/rules clean target

 -- Iustin Pop <iustin@debian.org>  Thu, 27 May 2010 00:24:33 +0200

ganeti (2.1.2.1-1) unstable; urgency=low

  * New upstream version
  * Remove a number of patches, integrated upstream (watcher hooks, check-man,
    cfgupgrade12)
  * Update recommends for new sid versions and package names

 -- Iustin Pop <iustin@debian.org>  Sun, 23 May 2010 23:46:38 +0200

ganeti (2.1.1-1) unstable; urgency=low

  * New upstream version
  * Remove patches imported upstream
  * Import cfgupgrade12 from upstream git
  * Add patch to remove old ssconf file on upgrade
  * Import a new patch for check-man issues
  * Import watcher warnings patch from upstream
  * Update doc-base for 2.1's sphinx documentation
  * Replace embedded jquery with external dependency
  * Update NEWS file for 1.2 to 2.1 upgrade

 -- Iustin Pop <iustin@debian.org>  Sat, 17 Apr 2010 21:36:59 +0200

ganeti (2.0.6-2) unstable; urgency=low

  * Cherry-pick three patches from upstream:
  * Fix two potentially endless loops in http library
  * KVM: Fix unintended qemu-level bridging of nics
  * Fix python 2.6.5 compatibility

 -- Iustin Pop <iustin@debian.org>  Thu, 11 Mar 2010 19:22:17 +0100

ganeti (2.0.6-1) unstable; urgency=low

  * New upstream version (Closes: #568105, thanks Elmar Hoffmann!)
  * The new version fixes some minor bugs (no new features)
  * Standards version 3.8.4 (no changes needed)
  * Fix NEWS.Debian lintian warnings
  * Add a patch to fix wrong docbook man output
  * Change my address to @debian.org and remove DM-Upload-Allowed

 -- Iustin Pop <iustin@debian.org>  Tue, 09 Feb 2010 20:13:26 +0100
