=== debian/control ===
--- 
+++ 
@@ -2,20 +2,25 @@
 Section: admin
 Priority: extra
 Maintainer: Debian Ganeti Team <pkg-ganeti-devel@lists.alioth.debian.org>
-Uploaders: Guido Trotter <ultrotter@debian.org>, Iustin Pop <iusty@k1024.org>
+Uploaders: Guido Trotter <ultrotter@debian.org>, Iustin Pop <iustin@debian.org>
 Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: python-simplejson, python-pyparsing, python-openssl, python-support (>= 0.6)
-Standards-Version: 3.8.3
+Build-Depends-Indep: python-simplejson, python-pyparsing, python-openssl,
+ python-support (>= 0.6), socat, python-pyinotify
+Standards-Version: 3.8.4
 Homepage: http://code.google.com/p/ganeti/
 Vcs-Browser: http://git.debian.org/?p=pkg-ganeti/ganeti.git
 Vcs-Git: git://git.debian.org/pkg-ganeti/ganeti.git
-DM-Upload-Allowed: yes
 
 Package: ganeti2
 Architecture: all
 Conflicts: ganeti
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, lvm2, openssh-client, openssh-server, bridge-utils, iproute, iputils-arping, openssl, python-simplejson, python-pyparsing, python-openssl, socat
-Recommends: drbd8-utils (>= 8.0.7), kvm | xen-linux-system-2.6.26-2-xen-amd64 | xen-linux-system-2.6.26-2-xen-686, ganeti-instance-debootstrap
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, lvm2,
+ openssh-client, openssh-server, bridge-utils, iproute, iputils-arping,
+ openssl, python-simplejson, python-pyparsing, python-openssl, python-pyinotify,
+ socat, libjs-jquery
+Recommends: drbd8-utils (>= 8.0.7), qemu-kvm |
+ xen-linux-system-2.6.32-5-xen-amd64 | xen-linux-system-2.6.32-5-xen-686,
+ ganeti-instance-debootstrap
 Suggests: drbd8-module-source (>= 8.0.7)
 Provides: ${python:Provides}
 Description: Cluster-based virtualization management software
