## ganeti 2.1.6

=== debian/changelog ===
ganeti (2.1.6-1+squeeze1) stable; urgency=low

  * Fix "Wrong permissions for /var/lock after 'gnt-node add'" (applied
    patch fixing octal mode usage) (Closes: #613648)

 -- Iustin Pop <iustin@debian.org>  Sat, 12 Mar 2011 14:24:52 +0100

ganeti (2.1.6-1) unstable; urgency=low

  * New upstream version(s)
  * Standard version 3.9.0 (no changes needed)

 -- Iustin Pop <iustin@debian.org>  Sat, 17 Jul 2010 19:18:07 +0200
