=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	  --with-os-search-path=/srv/ganeti/os,/usr/local/lib/ganeti/os,/usr/lib/ganeti/os,/usr/share/ganeti/os \
 	  --docdir=/usr/share/doc/ganeti2
 
-	#$(MAKE)
+	$(MAKE)
 
 	touch $@
 
@@ -31,10 +31,13 @@
 
 	# Add here commands to clean up after the build process.
 	#$(MAKE) clean
-	#$(MAKE) distclean
+	[ ! -f Makefile ] || $(MAKE) distclean
+	# this is not removed by make distclean :(
+	rm -f ganeti
 
-	rm -f debian/ganeti2.init
+	rm -f debian/ganeti2.ganeti.init
 	rm -f debian/ganeti2.ganeti.cron.d
+	rm -f debian/ganeti2.ganeti.default
 
 	dh_clean
 
@@ -48,13 +51,19 @@
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/`dh_listpackages`
 	cp $(CURDIR)/doc/examples/ganeti.initd $(CURDIR)/debian/ganeti2.ganeti.init
 	cp $(CURDIR)/doc/examples/ganeti.cron $(CURDIR)/debian/ganeti2.ganeti.cron.d
-	mv $(CURDIR)/debian/ganeti2/usr/share/doc/ganeti $(CURDIR)/debian/ganeti2/usr/share/doc/ganeti2
+	cp $(CURDIR)/doc/examples/ganeti.default $(CURDIR)/debian/ganeti2.ganeti.default
+	# No longer needed with ganeti 2.1
+	#mv $(CURDIR)/debian/ganeti2/usr/share/doc/ganeti $(CURDIR)/debian/ganeti2/usr/share/doc/ganeti2
 	install -m 0755 $(CURDIR)/doc/examples/dumb-allocator \
 	  $(CURDIR)/debian/ganeti2/usr/lib/ganeti/iallocators/dumb
 	install -m 0644 $(CURDIR)/doc/examples/bash_completion \
 	  $(CURDIR)/debian/ganeti2/etc/bash_completion.d/ganeti
 	install -m 0644 $(CURDIR)/debian/ganeti2.overrides \
 	  $(CURDIR)/debian/ganeti2/usr/share/lintian/overrides/ganeti2
+
+	# remove embedded copy of jquery
+	rm -f $(CURDIR)/debian/ganeti2/usr/share/doc/ganeti2/html/_static/jsquery.js
+
 	rmdir debian/ganeti2/var/run/ganeti
 	rmdir debian/ganeti2/var/run
 
@@ -85,7 +94,8 @@
 #	dh_undocumented
 	dh_installman
 	dh_link
-	dh_compress
+	# Note: no compression on the html docs, since it will break navigation
+	dh_compress -Xganeti2/html/
 	dh_fixperms
 #	dh_perl
 	dh_installdeb
