## ganeti 2.4.2

=== debian/changelog ===
ganeti (2.4.2-1) unstable; urgency=low

  * New upstream version (fixing many bugs, see the upstream NEWS file)
  * Standards version 3.9.2 (no changes needed)

 -- Iustin Pop <iustin@debian.org>  Wed, 29 Jun 2011 21:34:26 +0200

ganeti (2.4.1-1) unstable; urgency=low

  * New upstream version (many changes, please read the NEWS file for the
    2.4 beta and rc releases)
  * Needs ganeti-htools 0.3.0 or newer, so added conflicts with older
    versions

 -- Iustin Pop <iustin@debian.org>  Thu, 10 Mar 2011 19:52:44 +0100

ganeti (2.3.1-1) experimental; urgency=low

  * New upstream version (Closes: #597957, #607679)
  * Remove obsolete patches integrated upstream

 -- Iustin Pop <iustin@debian.org>  Sun, 09 Jan 2011 19:01:15 +0100

ganeti (2.2.1-1) experimental; urgency=low

  * New upstream version(s), uploading to experimental during the Squeeze
    freeze
  * Standards version 3.9.1 (no changes needed)
  * Fixed case of special values in gnt-backup(8) (Closes: #596347)

 -- Iustin Pop <iustin@debian.org>  Sun, 24 Oct 2010 17:10:15 +0200
