=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Uploaders: Guido Trotter <ultrotter@debian.org>, Iustin Pop <iustin@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: python-simplejson, python-pyparsing, python-openssl,
- python-support (>= 0.6), socat, python-pyinotify
-Standards-Version: 3.9.0
+ python-support (>= 0.6), socat, python-pyinotify, python-pycurl,
+ python-paramiko
+Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/ganeti/
 Vcs-Browser: http://git.debian.org/?p=pkg-ganeti/ganeti.git
 Vcs-Git: git://git.debian.org/pkg-ganeti/ganeti.git
@@ -16,11 +17,13 @@
 Conflicts: ganeti
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, lvm2,
  openssh-client, openssh-server, bridge-utils, iproute, iputils-arping,
- openssl, python-simplejson, python-pyparsing, python-openssl, python-pyinotify,
+ openssl, python-simplejson, python-pyparsing, python-openssl,
+ python-pyinotify, python-pycurl, python-paramiko,
  socat, libjs-jquery
 Recommends: drbd8-utils (>= 8.0.7), qemu-kvm |
  xen-linux-system-2.6.32-5-xen-amd64 | xen-linux-system-2.6.32-5-xen-686,
- ganeti-instance-debootstrap
+ ganeti-instance-debootstrap, ndisc6
+Breaks: ganeti-htools (<< 0.3)
 Suggests: drbd8-module-source (>= 8.0.7)
 Provides: ${python:Provides}
 Description: Cluster-based virtualization management software
