=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+
 build-stamp:
 	dh_testdir
 
@@ -54,8 +57,6 @@
 	cp $(CURDIR)/doc/examples/ganeti.default $(CURDIR)/debian/ganeti2.ganeti.default
 	# No longer needed with ganeti 2.1
 	#mv $(CURDIR)/debian/ganeti2/usr/share/doc/ganeti $(CURDIR)/debian/ganeti2/usr/share/doc/ganeti2
-	install -m 0755 $(CURDIR)/doc/examples/dumb-allocator \
-	  $(CURDIR)/debian/ganeti2/usr/lib/ganeti/iallocators/dumb
 	install -m 0644 $(CURDIR)/doc/examples/bash_completion \
 	  $(CURDIR)/debian/ganeti2/etc/bash_completion.d/ganeti
 	install -m 0644 $(CURDIR)/debian/ganeti2.overrides \
