## ganeti 2.5.2

=== debian/changelog ===
ganeti (2.5.2-1+deb7u2) wheezy-security; urgency=high

  * Fix gnt-instance info regression after CVE-2015-7945 (Closes: #810850)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 14 Jan 2016 11:27:18 +0200

ganeti (2.5.2-1+deb7u1) wheezy-security; urgency=medium

  * Redact the DRBD secret in instance queries (CVE-2015-7945).
  * RAPI hardening (CVE-2015-7944): bind to lo by default.
  * Add NEWS entry about RAPI hardening.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 22 Dec 2015 23:53:49 +0200

ganeti (2.5.2-1) unstable; urgency=low

  * New upstream bug-fix version
    - fixed KVM start and live migration with a custom keymap (Closes: #676930)
    - fixed compatibility with KVM versions that don't support enabling multiple
      boot devices (Closes: #624256)
    - fixed bash-isms in kvm-ifup tool
    - fixed parallel build mode
  * Fixed dh_installinit invocation, which created invalid update-rc.d
    calls in postinst/configure (Closes: #677674)

 -- Iustin Pop <iustin@debian.org>  Thu, 26 Jul 2012 20:26:09 +0200

ganeti (2.5.1-1) unstable; urgency=low

  * New upstream bug-fix version:
  * fixes compatibility with newer LVM versions
  * `tools/lvmstrap` recognises kernel 3.x
  * OS scripts environment includes a PATH
  * fixed hooks abort handling (regression from 2.4) and improved error
    display
  * and a few other minor cosmetic fixes

 -- Iustin Pop <iustin@debian.org>  Fri, 11 May 2012 20:39:01 +0200

ganeti (2.5.0-2) unstable; urgency=low

  * Fix Build-Depends (no more separate -Indep depends, add iproute)
    (Closes: #671981)

 -- Iustin Pop <iustin@debian.org>  Tue, 08 May 2012 22:34:10 +0200

ganeti (2.5.0-1) unstable; urgency=low

  * New significant upstream release; this integrates the htools source
    code and as such it superseedes the ganeti-htools standalone source
    package
  * There are a number of incompatible changes at the API level, see the
    upstream NEWS file

 -- Iustin Pop <iustin@debian.org>  Sun, 06 May 2012 14:01:00 +0200

ganeti (2.4.5-2) unstable; urgency=low

  * Backport patch to support KVM versions 1.0 and later
  * Standards version 3.9.3 (no changes needed)

 -- Iustin Pop <iustin@debian.org>  Sat, 24 Mar 2012 20:59:10 +0100
