=== debian/control ===
--- 
+++ 
@@ -3,11 +3,14 @@
 Priority: extra
 Maintainer: Debian Ganeti Team <pkg-ganeti-devel@lists.alioth.debian.org>
 Uploaders: Guido Trotter <ultrotter@debian.org>, Iustin Pop <iustin@debian.org>
-Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: python-simplejson, python-pyparsing, python-openssl,
- python-support (>= 0.6), socat, python-pyinotify, python-pycurl,
- python-paramiko
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7),
+ ghc (>= 6.12), libghc-curl-dev, libghc-json-dev,
+ libghc-network-dev, libcurl4-gnutls-dev, libghc-parallel-dev,
+ python-simplejson, python-pyparsing, python-openssl,
+ python-support (>= 0.6), python-pyinotify, python-pycurl,
+ python-paramiko,
+ socat, iproute
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/ganeti/
 Vcs-Browser: http://git.debian.org/?p=pkg-ganeti/ganeti.git
 Vcs-Git: git://git.debian.org/pkg-ganeti/ganeti.git
@@ -40,3 +43,17 @@
  management, operating system installation  (in cooperation with OS-specific
  install scripts), startup, shutdown, failover of instances between physical
  systems.
+
+Package: ganeti-htools
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: ganeti2 (<< 2.4)
+Description: Cluster allocation tools for Ganeti
+ These are additional tools used for enhanced allocation and capacity
+ calculation on Ganeti clusters.
+ .
+ The tools provided are:
+   - hail, an iallocator script for ganeti
+   - hbal, used to redistribute instances on the cluster
+   - hspace, used for capacity calculation
+   - hscan, used to gather cluster files for offline use in hbal/hspace
