## ganeti 2.7.0

=== debian/changelog ===
ganeti (2.7.0-1) unstable; urgency=low

  * New upstream version
    - Fix compatibility with newer ghc (Closes: #713754)
    - No longer require lvm vg on non-vm-capable nodes (Closes: #650664)
  * Add dependency on fping: this is needed now by the master-ip-setup
    script (Closes: #705005)
  * Update Xen recommends to be version-independent (Closes: #696133)
  * Remove outdated fix-no-kvm.patch
  * Suggest ganeti-htools
  * Split other haskell components in the ganeti-haskell package
  * Enable restricted commands

 -- Guido Trotter <ultrotter@debian.org>  Thu, 11 Jul 2013 13:27:18 +0200

ganeti (2.6.2-2) experimental; urgency=low

  * Fix dependencies for Template Haskell: according to DHG, need to
    depend on ghc-ghci

 -- Iustin Pop <iustin@debian.org>  Thu, 14 Feb 2013 19:54:49 +0100

ganeti (2.6.2-1) experimental; urgency=low

  * New upstream version (skipped 2.6.0/2.6.1 due to Wheezy freeze)
  * Uploading to experimental in order to avoid potential problems when
    updating the Wheezy package (which is 2.5.2-based)
  * Sync speed is now configurable in 2.6, see the disk parameters
    documentation (Closes: #599445)

 -- Iustin Pop <iustin@debian.org>  Wed, 13 Feb 2013 10:59:49 +0100
