=== debian/control ===
--- 
+++ 
@@ -4,11 +4,15 @@
 Maintainer: Debian Ganeti Team <pkg-ganeti-devel@lists.alioth.debian.org>
 Uploaders: Guido Trotter <ultrotter@debian.org>, Iustin Pop <iustin@debian.org>
 Build-Depends: debhelper (>= 7),
- ghc (>= 6.12), libghc-curl-dev, libghc-json-dev,
+ ghc (>= 6.12), ghc-ghci,
+ libghc-curl-dev, libghc-json-dev,
  libghc-network-dev, libcurl4-gnutls-dev, libghc-parallel-dev,
- python-simplejson, python-pyparsing, python-openssl,
+ libghc-utf8-string-dev, libghc-deepseq-dev, libghc-hslogger-dev,
+ libghc-crypto-dev, libghc-text-dev, libghc-hinotify-dev,
+ libghc-regex-pcre-dev, libghc-attoparsec-dev, libghc-vector-dev, libpcre3-dev,
+ python-simplejson, python-pyparsing, python-openssl, python-bitarray,
  python-support (>= 0.6), python-pyinotify, python-pycurl,
- python-paramiko,
+ python-paramiko, python-ipaddr, qemu-utils,
  socat, iproute
 Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/ganeti/
@@ -22,12 +26,13 @@
  openssh-client, openssh-server, bridge-utils, iproute, iputils-arping,
  openssl, python-simplejson, python-pyparsing, python-openssl,
  python-pyinotify, python-pycurl, python-paramiko,
- socat, libjs-jquery
+ socat, libjs-jquery, fping, ganeti-haskell
 Recommends: drbd8-utils (>= 8.0.7), qemu-kvm |
- xen-linux-system-2.6.32-5-xen-amd64 | xen-linux-system-2.6.32-5-xen-686,
- ganeti-instance-debootstrap, ndisc6
+ xen-linux-system-amd64 | xen-linux-system-686 |
+ xen-linux-system-686-pae, ganeti-instance-debootstrap,
+ ndisc6
 Breaks: ganeti-htools (<< 0.3)
-Suggests: drbd8-module-source (>= 8.0.7)
+Suggests: drbd8-module-source (>= 8.0.7), ganeti-htools
 Provides: ${python:Provides}
 Description: Cluster-based virtualization management software
  Ganeti is a virtual server cluster management software tool built on top
@@ -44,6 +49,13 @@
  install scripts), startup, shutdown, failover of instances between physical
  systems.
 
+Package: ganeti-haskell
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Haskell components of Ganeti
+ These are the components of Ganeti written in Haskell. They are split in a
+ separate package as they are not architecture independent.
+
 Package: ganeti-htools
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -57,3 +69,4 @@
    - hbal, used to redistribute instances on the cluster
    - hspace, used for capacity calculation
    - hscan, used to gather cluster files for offline use in hbal/hspace
+   - hroller, used to calculate rolling maintenances
