=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 GANETI_DIR=$(CURDIR)/debian/ganeti2
 HTOOLS_DIR=$(CURDIR)/debian/ganeti-htools
+HASKELL_DIR=$(CURDIR)/debian/ganeti-haskell
 
 build: build-arch build-indep
 build-arch: build-stamp
@@ -25,7 +26,7 @@
 	  --with-iallocator-search-path=/usr/local/lib/ganeti/iallocators,/usr/lib/ganeti/iallocators \
 	  --with-os-search-path=/srv/ganeti/os,/usr/local/lib/ganeti/os,/usr/lib/ganeti/os,/usr/share/ganeti/os \
 	  --docdir=/usr/share/doc/ganeti2 \
-	  --enable-htools --enable-htools-rapi
+	  --enable-htools --enable-htools-rapi --enable-restricted-commands
 
 	$(MAKE)
 
@@ -58,9 +59,7 @@
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/ganeti2
 	cp $(CURDIR)/doc/examples/ganeti.initd $(CURDIR)/debian/ganeti2.ganeti.init
 	cp $(CURDIR)/doc/examples/ganeti.cron $(CURDIR)/debian/ganeti2.ganeti.cron.d
-	sed -e 's/^RAPI_ARGS=.*/RAPI_ARGS="-b 127.0.0.1"/' \
-		$(CURDIR)/doc/examples/ganeti.default > $(CURDIR)/debian/ganeti2.ganeti.default
-
+	cp $(CURDIR)/doc/examples/ganeti.default $(CURDIR)/debian/ganeti2.ganeti.default
 	# No longer needed with ganeti 2.1
 	#mv $(CURDIR)/debian/ganeti2/usr/share/doc/ganeti $(CURDIR)/debian/ganeti2/usr/share/doc/ganeti2
 	install -m 0644 $(CURDIR)/doc/examples/bash_completion \
@@ -79,12 +78,16 @@
 	mv $(GANETI_DIR)/usr/lib/ganeti/iallocators/hail \
 	   $(HTOOLS_DIR)/usr/lib/ganeti/iallocators/
 
-	mkdir -p $(HTOOLS_DIR)/usr/share/man/man1
-	for i in htools hail hbal hscan hspace; do \
+	for i in htools hail hbal hscan hspace hcheck hinfo hroller; do \
 	  mv $(GANETI_DIR)/usr/share/man/man1/$${i}.1 \
 	     $(HTOOLS_DIR)/usr/share/man/man1/ ; \
 	done
 	rmdir $(GANETI_DIR)/usr/share/man/man1
+
+        # haskell package
+	mv $(GANETI_DIR)/usr/sbin/ganeti-confd $(HASKELL_DIR)/usr/sbin/
+	mv $(GANETI_DIR)/usr/lib/ganeti/mon-collector $(HASKELL_DIR)/usr/lib/ganeti/
+	mv $(GANETI_DIR)/usr/share/man/man8/ganeti-confd.8 $(HASKELL_DIR)/usr/share/man/man8/
 
 # Build architecture-independent files here.
 binary-indep: build install
